cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
322
Views
0
Helpful
16
Replies

IOS XR 9001 IOS upgred

Hello all, 

I want to install a new IOS on ASR 9001. I try to install it as below but it's not working. Currently it's running 6.5.3 with the below packages . Anyone can help please ?

 

Active Packages:
disk0:asr9k-mini-px-6.1.4
disk0:asr9k-k9sec-px-6.1.4

 

 

RP/0/RSP0/CPU0:ASR9001_CLS_02(admin)#install add harddisk:ASR9K-iosxr-px-k9-6.5.3.tar

Info: added to the entire router: Info: Info: README-ASR9K-iosxr-px-k9-6.5.3.txt (skipped - not a pie) Info: asr9k-video-px.pie-6.5.3 Info: asr9k-services-px.pie-6.5.3 Info: asr9k-services-infra-px.pie-6.5.3 Info: asr9k-optic-px.pie-6.5.3 Info: asr9k-mpls-px.pie-6.5.3 Info: asr9k-mini-px.pie-6.5.3 Info: asr9k-mgbl-px.pie-6.5.3 Info: asr9k-mcast-px.pie-6.5.3 Info: asr9k-li-px.pie-6.5.3 Info: asr9k-k9sec-px.pie-6.5.3 Info: asr9k-fpd-px.pie-6.5.3 Info: asr9k-doc-px.pie-6.5.3 Info: asr9k-bng-px.pie-6.5.3 Info: asr9k-asr9000v-nV-px.pie-6.5.3 Info: The install operation will continue asynchronously. RP/0/RSP0/CPU0:ASR9001_CLS_02(admin)#Error: The install operation failed due to a system error. Error: Error: ERROR: Node responded with an error when completing the installation of packages within the system. Error: (Details: 'Package Library' detected the 'fatal' condition 'can't uncompress pie archive') Error: AFFECTED NODE(S): 0/RSP0/CPU0 Error: TECH SUPPORT: Error: Please collect diagnostic information using '(admin) show tech-support install'

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Cisco Employee

Re: IOS XR 9001 IOS upgred

Since you have to upgrade all active packages to the new release at the same time it is failing, the package disk0:asr9k-asr901-nV-px-5.3.4 was deprecated as support for 901 satellite was removed. Simply deactivate that package and then the install should go through.

 

Sam

View solution in original post

16 REPLIES 16
Highlighted
Beginner

Re: IOS XR 9001 IOS upgred

I think you don't have enough free space on harddisk:

 

You have the option to copy the .tar file to disk0:

 

The one that I like and use is:

admin install add source ftp://user:pass@<ipaddress>;vrf-if-is-the-case/path/ tar ASR9K-iosxr-px-k9-6.5.3.tar activate prompt-level none

 

 

Highlighted

Re: IOS XR 9001 IOS upgred

I dont think it is a problem of space, as I know that IOS is installed on disk0 and I do have enough space on it as below : 
4009738240 3666814464 flash-disk rw disk0:

 

can anyone from Cisco help please as it's an urgent case.

Highlighted

Re: IOS XR 9001 IOS upgred

The 9001 is effectively an RSP 440 with Typhoon line cards.  Due to the RSP-440 part, you can only upgrade to 6.4.2.

 

Refer to Aleksandar's thread on this:

 

https://community.cisco.com/t5/service-providers-documents/ios-xr-release-strategy-and-deployment-recommendation/ta-p/3165422

 

Hope this helps.

 

Highlighted
Beginner

Re: IOS XR 9001 IOS upgred

We are running 6.6.3 in production with no issues.

Should we downgrade?

 

EDIT: RSP440 is not supported, as of release notes, but ASR9001 is supported.

Highlighted
Cisco Employee

Re: IOS XR 9001 IOS upgred

Hi Haytham,

 

the majority of time i see that error its due to a corrupt or incomplete tar file.

please try to download it again and install.

if you can copy to the disk like others have suggested it would be helpful as we can compare the md5

 

example of checking md5:

RP/0/RSP0/CPU0:ASR9001-D#run md5 /harddisk:/tech-bgp.tgz
Tue Jan 28 08:26:24.619 gmt
eb21fd8e7a3b63085d5d7c68b7735119
RP/0/RSP0/CPU0:ASR9001-D#

alternatively we can try extracting the tar file on the disk to see which pie fails to extract

example:

RP/0/RSP0/CPU0:ASR9001-D#run
Tue Jan 28 08:27:00.228 gmt
# cd /harddisk:
# tar -xvf filename.tar

from the release notes i see 9001 listed for 6.5.3 with Caveat section empty, it should be supported.

https://www.cisco.com/c/en/us/td/docs/routers/asr9000/software/asr9k-r6-5/general/release/notes/b-release-notes-asr9k-653.html#id_38689

 

if it is indeed an emergency, please call in and open a TAC case

 

Thanks!

 

Highlighted

Re: IOS XR 9001 IOS upgred

Hello tkarnani,
thanks very much for your help. Ok I will try to install the IOS again on this node. ok some more question about this :
for the other RS node can I install a diffrent IOS ? can I go with the 6.6.3 or I must install 6.4.2 as it's the only avaialble one.
I try to install a new certificate on this one (already running 4.3.2) and installed asr9k-px-5.2.2.CSCut52232 and then when I try to activate it I get an error as below log. Can you tell me what is missing , I seam lost here.

 

RP/0/RSP0/CPU0:ASR9001_CLS_01#sh install summ
Tue Jan 28 08:27:32.345 UTC
Default Profile:
SDRs:
Owner
Active Packages:
disk0:asr9k-mini-px-4.3.2
disk0:asr9k-doc-px-4.3.2
disk0:asr9k-mcast-px-4.3.2
disk0:asr9k-mgbl-px-4.3.2
disk0:asr9k-mpls-px-4.3.2
disk0:asr9k-k9sec-px-4.3.2
disk0:asr9k-px-4.3.2.CSCuj10837-1.0.0
disk0:asr9k-px-4.3.2.CSCuj48815-1.0.0
disk0:asr9k-px-4.3.2.CSCuj61034-1.0.0
disk0:asr9k-px-4.3.2.CSCuj61599-1.0.0
disk0:asr9k-px-4.3.2.CSCuj79123-1.0.0
disk0:asr9k-px-4.3.2.CSCut52232-1.0.0
Inactive Packages:
disk0:asr9k-services-infra-5.3.4
disk0:asr9k-px-5.2.2.CSCut52232-1.0.0
disk0:asr9k-video-px-5.3.4
disk0:asr9k-optic-px-5.3.4
disk0:asr9k-mgbl-px-5.3.4
disk0:asr9k-bng-px-5.3.4
disk0:asr9k-services-px-5.3.4
disk0:asr9k-mpls-px-5.3.4
disk0:asr9k-mcast-px-5.3.4
disk0:asr9k-fpd-px-5.3.4
disk0:asr9k-mini-px-5.3.4
disk0:asr9k-li-px-5.3.4
disk0:asr9k-doc-px-5.3.4
Committed Packages:
disk0:asr9k-mini-px-4.3.2
disk0:asr9k-doc-px-4.3.2
disk0:asr9k-mcast-px-4.3.2
disk0:asr9k-mgbl-px-4.3.2
disk0:asr9k-mpls-px-4.3.2
disk0:asr9k-k9sec-px-4.3.2
disk0:asr9k-px-4.3.2.CSCuj10837-1.0.0
disk0:asr9k-px-4.3.2.CSCuj48815-1.0.0
disk0:asr9k-px-4.3.2.CSCuj61034-1.0.0
disk0:asr9k-px-4.3.2.CSCuj61599-1.0.0
disk0:asr9k-px-4.3.2.CSCuj79123-1.0.0
disk0:asr9k-px-4.3.2.CSCut52232-1.0.0
Superceded Packages:
No packages.

 

=================================

RP/0/RSP0/CPU0:ASR9001_CLS_01# sh install log 89 detail
Tue Jan 28 08:32:22.729 UTC

Install operation 89 started by user via CLI at 07:12:58 UTC Tue Jan
28 2020.
(admin) install activate disk0:asr9k-px-5.2.2.CSCut52232-1.0.0
Install operation 89 failed at 07:13:16 UTC Tue Jan 28 2020.

Install logs:
Install operation 89 '(admin) install activate
disk0:asr9k-px-5.2.2.CSCut52232-1.0.0' started by user '' via CLI at
07:12:58 UTC Tue Jan 28 2020.
Info: The following SMU is not being activated as it does not apply to
Info: any packages on the router:
Info:
Info: disk0:iosxr-infra-5.2.2.CSCut52232-1.0.0
Info:
Error: Cannot proceed with the activation as there are no packages to
Error: activate
Error: Suggested steps to resolve this:
Error: - check the names of the packages being activated.
Install operation 89 failed at 07:13:16 UTC Tue Jan 28 2020.

--------------------------------------------------------------------------------

 

Highlighted

Re: IOS XR 9001 IOS upgred

Edit:  You already have post-expiry smu for your version:

asr9k-px-4.3.2.CSCut52232.tar

 

Since you're not running 5.2.2, a 5.2.2 SMU won't install.

 

 

Thanks for the correction on supported hardware. Good to know.

 

It sounds like you really need to open a TAC case.  They can get you through this.

Highlighted
Cisco Employee

Re: IOS XR 9001 IOS upgred

Hi Haytham,

 

i am a bit confused, you will need to install the post expiry smu as suggested for 4.3.2.

once that is done we can try

 

admin install *5.3.4* activate

 

this should try to activate all the 5.3.4 packages at once, if we get an error please paste it

 

Thanks!

Highlighted

Re: IOS XR 9001 IOS upgred

Hello Tkarnani, 

Here is my output :

 

RP/0/RSP0/CPU0:ASR9001_CLS_01(admin)#install activate *5.3.4* synchronous
Thu Jan 30 02:21:15.336 UTC
Install operation 94 '(admin) install activate *5.3.4* synchronous' started by
user 'salcab' via CLI at 02:21:15 UTC Thu Jan 30 2020.
Info: This operation will activate the following packages:
Info: disk0:asr9k-doc-px-5.3.4
Info: disk0:asr9k-li-px-5.3.4
Info: disk0:asr9k-mini-px-5.3.4
Info: disk0:asr9k-fpd-px-5.3.4
Info: disk0:asr9k-mcast-px-5.3.4
Info: disk0:asr9k-mpls-px-5.3.4
Info: disk0:asr9k-services-px-5.3.4
Info: disk0:asr9k-bng-px-5.3.4
Info: disk0:asr9k-mgbl-px-5.3.4
Info: disk0:asr9k-optic-px-5.3.4
Info: disk0:asr9k-video-px-5.3.4
Info: disk0:asr9k-services-infra-5.3.4
Error: Cannot proceed with the activation because of the following package
Error: incompatibilities:
Error: asr9k-k9sec-supp-4.3.2 needs iosxr-fwding-4.3.2, or equivalent, to
Error: be active on the same nodes.
Error: asr9k-k9sec-supp-4.3.2 needs iosxr-infra-4.3.2, or equivalent, to
Error: be active on the same nodes.
Error: asr9k-k9sec-supp-4.3.2 needs iosxr-os-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: iosxr-security-4.3.2 needs iosxr-fwding-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: iosxr-security-4.3.2 needs iosxr-infra-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: iosxr-security-4.3.2 needs iosxr-os-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified
Error: nodes.
Install operation 94 failed at 02:21:56 UTC Thu Jan 30 2020.

 

Thanks to advise further:

Highlighted

Re: IOS XR 9001 IOS upgred

I also confirm I do have the 4.3.2 CSCut52232 as below :

RP/0/RSP0/CPU0:ASR9001_CLS_01#sh install sum
Thu Jan 30 02:20:17.071 UTC
Default Profile:
SDRs:
Owner
Active Packages:
disk0:asr9k-mini-px-4.3.2
disk0:asr9k-doc-px-4.3.2
disk0:asr9k-mcast-px-4.3.2
disk0:asr9k-mgbl-px-4.3.2
disk0:asr9k-mpls-px-4.3.2
disk0:asr9k-k9sec-px-4.3.2
disk0:asr9k-px-4.3.2.CSCuj10837-1.0.0
disk0:asr9k-px-4.3.2.CSCuj48815-1.0.0
disk0:asr9k-px-4.3.2.CSCuj61034-1.0.0
disk0:asr9k-px-4.3.2.CSCuj61599-1.0.0
disk0:asr9k-px-4.3.2.CSCuj79123-1.0.0
disk0:asr9k-px-4.3.2.CSCut52232-1.0.0 <-----------
Highlighted

Re: IOS XR 9001 IOS upgred

Hello Again , 

I try to fix the issue by folowing the error msg and try to resolve. I try to install the ASR9K-iosxr-px-5.3.4-bridge_smus.tar which the router is asking for as below my logs. 

 

RP/0/RSP0/CPU0:ASR9001_CLS_01(admin)#install add disk1:/ASR9K-iosxr-px-5.3.4-bridge_smus.tar  prompt-level none
Thu Jan 30 03:14:23.055 UTC
Install operation 98 '(admin) install add
/disk1:/ASR9K-iosxr-px-5.3.4-bridge_smus.tar activate auto-abort-timer 30
synchronous' started by user 'salcab' via CLI at 03:14:23 UTC Thu Jan 30 2020.
Warning: The following file has the suffix '.tar' and will be treated as a tar
Warning: file:
Warning: /disk1:/ASR9K-iosxr-px-5.3.4-bridge_smus.tar
Warning: If a file should not be treated as tar file:
Warning: - change the file extension.
Warning: To stop this message being displayed:
Warning: - use the tar keyword to explicitly specify a tar file.
Info: The following files were extracted from the tar file
Info: '/disk1:/ASR9K-iosxr-px-5.3.4-bridge_smus.tar' and will be added to
Info: the entire router:
Info:
Info: asr9k-p-4.2.3.CSCud54093.pie
Info: asr9k-p-4.2.3.CSCud98419.txt (skipped - not a pie)
Info: asr9k-px-4.2.3.CSCud54093.pie
Info: asr9k-px-4.2.3.CSCud98419.txt (skipped - not a pie)
Info: README-ASR9K-PX-5.3.4.txt (skipped - not a pie)
Info: asr9k-p-4.2.3.CSCud37351.pie
Info: asr9k-p-4.2.3.CSCud54093.txt (skipped - not a pie)
Info: asr9k-px-4.2.3.CSCud37351.pie
Info: asr9k-px-4.2.3.CSCud54093.txt (skipped - not a pie)
Info: asr9k-px-5.1.0.CSCui99165.pie
Info: asr9k-p-4.2.3.CSCud37351.txt (skipped - not a pie)
Info: asr9k-p-4.2.3.CSCud98419.pie
Info: asr9k-px-4.2.3.CSCud37351.txt (skipped - not a pie)
Info: asr9k-px-4.2.3.CSCud98419.pie
Info: asr9k-px-5.1.0.CSCui99165.txt (skipped - not a pie)
Info:
Part 1 of 2 (add software): Started
Warning: All packages to be added must belong to the same subplatform.
Warning: Packages for version 4.2.3 have different subplatforms. Please choose
Warning: one set of packages to be added in this install operation.
Warning: (0) Select Default subplatform
Warning: asr9k-p-4.2.3.CSCud54093-1.0.0
Warning: asr9k-p-4.2.3.CSCud37351-1.0.0
Warning: asr9k-p-4.2.3.CSCud98419-1.0.0
Warning: (1) Select PX subplatform
Warning: asr9k-px-4.2.3.CSCud54093-1.0.0
Warning: asr9k-px-4.2.3.CSCud37351-1.0.0
Warning: asr9k-px-4.2.3.CSCud98419-1.0.0
Warning: (2) Abort the install operation
Please choose one option (0/1/2) [2]
Part 1 of 2 (add software): Failed. Error information available as part of
command output above. For more information see '(admin) show install log 98'
Part 2 of 2 (activate software): Skipped due to failures in part 1
Install operation 98 cancelled by user '' at 03:19:23 UTC Thu Jan 30
2020.
RP/0/RSP0/CPU0:ASR9001_CLS_01(admin)#show install log 98
Thu Jan 30 03:22:31.377 UTC

Install operation 98 started by user '' via CLI at 03:14:23 UTC Thu Jan
30 2020.
(admin) install add /disk1:/ASR9K-iosxr-px-5.3.4-bridge_smus.tar activate
auto-abort-timer 30 synchronous
Install operation 98 cancelled by user '' at 03:19:23 UTC Thu Jan 30
2020.

 

so the router does not wait for me to chose 1/2 option but I put no prompt to force it to use 1 but I still get instalation canceled by user which is option 2 eventhough I did not press 2.

Please tell me how to proceed with that

Highlighted

Re: IOS XR 9001 IOS upgred

ok I have manged to solve the last issue and add the required packages, now the error I get when I try to activate the packages is as below :  

 

RP/0/RSP0/CPU0:ASR9001_CLS_01(admin)#install activate *
Thu Jan 30 04:56:46.246 UTC
Install operation 108 '(admin) install activate *' started by user '' via
CLI at 04:56:46 UTC Thu Jan 30 2020.
Info: This operation will activate the following packages:
Info: disk0:asr9k-px-4.2.3.CSCud98419-1.0.0
Info: disk0:asr9k-px-5.1.0.CSCui99165-1.0.0
Info: disk0:asr9k-px-4.2.3.CSCud37351-1.0.0
Info: disk0:asr9k-px-4.2.3.CSCud54093-1.0.0
Info: disk0:asr9k-doc-px-5.3.4
Info: disk0:asr9k-li-px-5.3.4
Info: disk0:asr9k-mini-px-5.3.4
Info: disk0:asr9k-fpd-px-5.3.4
Info: disk0:asr9k-mcast-px-5.3.4
Info: disk0:asr9k-mpls-px-5.3.4
Info: disk0:asr9k-services-px-5.3.4
Info: disk0:asr9k-bng-px-5.3.4
Info: disk0:asr9k-mgbl-px-5.3.4
Info: disk0:asr9k-optic-px-5.3.4
Info: disk0:asr9k-video-px-5.3.4
Info: disk0:asr9k-services-infra-5.3.4
Error: Cannot proceed with the activation because of the following package
Error: incompatibilities:
Error: asr9k-k9sec-supp-4.3.2 needs iosxr-fwding-4.3.2, or equivalent, to
Error: be active on the same nodes.
Error: asr9k-k9sec-supp-4.3.2 needs iosxr-infra-4.3.2, or equivalent, to
Error: be active on the same nodes.
Error: asr9k-k9sec-supp-4.3.2 needs iosxr-os-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: iosxr-security-4.3.2 needs iosxr-fwding-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: iosxr-security-4.3.2 needs iosxr-infra-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: iosxr-security-4.3.2 needs iosxr-os-4.3.2, or equivalent, to be
Error: active on the same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified
Error: nodes.
Install operation 108 failed at 04:57:42 UTC Thu Jan 30 2020.


What is the problem now . Can anyone help with it ?

Highlighted
Cisco Employee

Re: IOS XR 9001 IOS upgred

Hi Haytham,

 

you need to add the k9 package for 5.3.4 and try the upgrade again.

please review the current "show install active summary" "show install inactive summary" to ensure the base pies are all there for 4.3.2 and 5.3.4

 

then run the same command to upgrade again

 

admin install activate *5.3.4*

 

Thanks

Highlighted

Re: IOS XR 9001 IOS upgred

Hello Tkarnani, 

Thanks alot for the information that saved my day and resolved the issue. This is very helpfull. Thanks very much dear. 
Now the last step is to move from 5.3.2 to 6.2.3 could you help with it : 

Here is the error message I get : 

 

Install operation 10 '(admin) install activate *' started by user '' via
CLI at 08:37:58 UTC Fri Jan 31 2020.
Info: This operation will activate the following packages:
Info: disk0:asr9k-9000v-nV-px-6.2.3
Info: disk0:asr9k-bng-px-6.2.3
Info: disk0:asr9k-doc-px-6.2.3
Info: disk0:asr9k-fpd-px-6.2.3
Info: disk0:asr9k-k9sec-px-6.2.3
Info: disk0:asr9k-li-px-6.2.3
Info: disk0:asr9k-mcast-px-6.2.3
Info: disk0:asr9k-mgbl-px-6.2.3
Info: disk0:asr9k-mini-px-6.2.3
Info: disk0:asr9k-mpls-px-6.2.3
Info: disk0:asr9k-optic-px-6.2.3
Info: disk0:asr9k-services-px-6.2.3
Info: disk0:asr9k-video-px-6.2.3
Info: disk0:asr9k-services-infra-6.2.3
Error: Cannot proceed with the activation because of the following package
Error: incompatibilities:
Error: asr9k-asr901-supp-5.3.4 needs asr9k-os-supp-5.3.4, or equivalent,
Error: to be active on the same nodes.
Error: asr9k-asr901-supp-5.3.4 needs iosxr-infra-5.3.4, or equivalent, to
Error: be active on the same nodes.
Error: asr9k-asr901-supp-5.3.4 needs iosxr-os-5.3.4, or equivalent, to be
Error: active on the same nodes.
Error: Suggested steps to resolve this:
Error: - check the installation instructions.
Error: - activate or deactivate the specified packages on the specified
Error: nodes.
Install operation 10 failed at 08:38:37 UTC Fri Jan 31 2020.

 

Here is my installed package for info : 

==============================
RP/0/RSP0/CPU0:ASR9001_CLS_01(admin)#sh install summ
Fri Jan 31 08:39:23.217 UTC
Default Profile:
SDRs:
Owner
Active Packages:
disk0:asr9k-services-infra-5.3.4
disk0:asr9k-video-px-5.3.4
disk0:asr9k-optic-px-5.3.4
disk0:asr9k-mgbl-px-5.3.4
disk0:asr9k-bng-px-5.3.4
disk0:asr9k-services-px-5.3.4
disk0:asr9k-mpls-px-5.3.4
disk0:asr9k-mcast-px-5.3.4
disk0:asr9k-fpd-px-5.3.4
disk0:asr9k-mini-px-5.3.4
disk0:asr9k-li-px-5.3.4
disk0:asr9k-doc-px-5.3.4
disk0:asr9k-k9sec-px-5.3.4
disk0:asr9k-asr901-nV-px-5.3.4
disk0:asr9k-9000v-nV-px-5.3.4


Inactive Packages:
disk0:asr9k-services-infra-6.2.3
disk0:asr9k-video-px-6.2.3
disk0:asr9k-services-px-6.2.3
disk0:asr9k-optic-px-6.2.3
disk0:asr9k-mpls-px-6.2.3
disk0:asr9k-mini-px-6.2.3
disk0:asr9k-mgbl-px-6.2.3
disk0:asr9k-mcast-px-6.2.3
disk0:asr9k-li-px-6.2.3
disk0:asr9k-k9sec-px-6.2.3
disk0:asr9k-fpd-px-6.2.3
disk0:asr9k-doc-px-6.2.3
disk0:asr9k-bng-px-6.2.3
disk0:asr9k-9000v-nV-px-6.2.3


Committed Packages:
disk0:asr9k-services-infra-5.3.4
disk0:asr9k-video-px-5.3.4
disk0:asr9k-optic-px-5.3.4
disk0:asr9k-mgbl-px-5.3.4
disk0:asr9k-bng-px-5.3.4
disk0:asr9k-services-px-5.3.4
disk0:asr9k-mpls-px-5.3.4
disk0:asr9k-mcast-px-5.3.4
disk0:asr9k-fpd-px-5.3.4
disk0:asr9k-mini-px-5.3.4
disk0:asr9k-li-px-5.3.4
disk0:asr9k-doc-px-5.3.4
disk0:asr9k-k9sec-px-5.3.4
disk0:asr9k-asr901-nV-px-5.3.4
disk0:asr9k-9000v-nV-px-5.3.4
Superceded Packages:
No packages.

 

 

 

 

CreatePlease to create content
Content for Community-Ad
FusionCharts will render here